Set the manual calibration of a tray
PUT
/api/v1/printers/{printer_id}/calibration/{tray}
const url = 'https://example.com/api/v1/printers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/calibration/example';const options = { method: 'PUT', headers: {'X-Label-Hub-Key': '<X-Label-Hub-Key>', 'Content-Type': 'application/json'}, body: '{"measured_on":{"type_key":"example","version":1},"offset_x_mm":0,"offset_y_mm":0,"rotation_deg":0,"scale_x":1,"scale_y":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/printers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/calibration/example \ --header 'Content-Type: application/json' \ --header 'X-Label-Hub-Key: <X-Label-Hub-Key>' \ --data '{ "measured_on": { "type_key": "example", "version": 1 }, "offset_x_mm": 0, "offset_y_mm": 0, "rotation_deg": 0, "scale_x": 1, "scale_y": 1 }'Authorizations
Abschnitt betitelt „Authorizations“Parameters
Abschnitt betitelt „Parameters“Path Parameters
Abschnitt betitelt „Path Parameters“printer_id
required
Printer Id
Printer id (a page printer).
string format: uuid
Printer id (a page printer).
tray
required
Tray
Tray key.
string
Tray key.
Request Bodyrequired
Abschnitt betitelt „Request Bodyrequired“Media typeapplication/json
CalibrationPut
object
measured_on
The sheet type version the page was measured on (optional).
Any of:
MeasuredOn
object
type_key
required
Type Key
string
version
required
Version
integer
null
offset_x_mm
Offset X Mm
Mm; allowed -10.0 to 10.0, at most 2 decimals (checked by the service).
number
offset_y_mm
Offset Y Mm
Mm; allowed -10.0 to 10.0, at most 2 decimals (checked by the service).
number
rotation_deg
Rotation Deg
Degrees, positive is clockwise; allowed -2.0 to 2.0, at most 6 decimals (checked by the service).
number
scale_x
Scale X
Factor; allowed 0.95 to 1.05, at most 6 decimals (checked by the service).
number
scale_y
Scale Y
Factor; allowed 0.95 to 1.05, at most 6 decimals (checked by the service).
number
Responses
Abschnitt betitelt „Responses“Successful Response
Media typeapplication/json
CalibrationRead
One enabled tray; the values are None while the tray has no calibration (identity).
object
measured_on
Any of:
MeasuredOn
object
type_key
required
Type Key
string
version
required
Version
integer
null
tray
required
Tray
string
Example generated
{ "measured_on": { "type_key": "example", "version": 1 }, "method": "example", "offset_x_mm": 1, "offset_y_mm": 1, "rotation_deg": 1, "scale_x": 1, "scale_y": 1, "tray": "example", "updated_at": "2026-04-15T12:00:00Z", "updated_by": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}